
_interrupt:

;MyProject.c,6 :: 		void interrupt(){
;MyProject.c,7 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;MyProject.c,8 :: 		}
L_end_interrupt:
L__interrupt39:
	RETFIE      1
; end of _interrupt

_main:

;MyProject.c,9 :: 		void main(void){
;MyProject.c,12 :: 		int prvistis=0,drugistis=0,trecistis=0,cetvrtistis=0,petistis=0, stisnuto=0;
	CLRF        main_prvistis_L0+0 
	CLRF        main_prvistis_L0+1 
	CLRF        main_drugistis_L0+0 
	CLRF        main_drugistis_L0+1 
	CLRF        main_trecistis_L0+0 
	CLRF        main_trecistis_L0+1 
	CLRF        main_cetvrtistis_L0+0 
	CLRF        main_cetvrtistis_L0+1 
	CLRF        main_petistis_L0+0 
	CLRF        main_petistis_L0+1 
	CLRF        main_stisnuto_L0+0 
	CLRF        main_stisnuto_L0+1 
;MyProject.c,14 :: 		trisb=0;
	CLRF        TRISB+0 
;MyProject.c,15 :: 		portb=0;
	CLRF        PORTB+0 
;MyProject.c,17 :: 		TRISA=0xFF;
	MOVLW       255
	MOVWF       TRISA+0 
;MyProject.c,20 :: 		ADCON1 = 0x0F; // *** turn all of port a to digital I/O
	MOVLW       15
	MOVWF       ADCON1+0 
;MyProject.c,21 :: 		CMCON  = 0x07;  // CM0, CM1 and CM2 set to 1
	MOVLW       7
	MOVWF       CMCON+0 
;MyProject.c,22 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;MyProject.c,25 :: 		while(1){
L_main0:
;MyProject.c,30 :: 		while(HID_Read());
L_main2:
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main3
	GOTO        L_main2
L_main3:
;MyProject.c,32 :: 		for(cnt=0;cnt<64;cnt++)
	CLRF        _cnt+0 
L_main4:
	MOVLW       64
	SUBWF       _cnt+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main5
;MyProject.c,35 :: 		writebuff[cnt]=readbuff[cnt];
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MyProject.c,32 :: 		for(cnt=0;cnt<64;cnt++)
	INCF        _cnt+0, 1 
;MyProject.c,37 :: 		}
	GOTO        L_main4
L_main5:
;MyProject.c,40 :: 		if (readbuff[0]=='u')
	MOVF        1280, 0 
	XORLW       117
	BTFSS       STATUS+0, 2 
	GOTO        L_main7
;MyProject.c,43 :: 		if ((porta.ra0==0) && (prvistis==0))
	BTFSC       PORTA+0, 0 
	GOTO        L_main10
	MOVLW       0
	XORWF       main_prvistis_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main41
	MOVLW       0
	XORWF       main_prvistis_L0+0, 0 
L__main41:
	BTFSS       STATUS+0, 2 
	GOTO        L_main10
L__main37:
;MyProject.c,45 :: 		prvistis=1;
	MOVLW       1
	MOVWF       main_prvistis_L0+0 
	MOVLW       0
	MOVWF       main_prvistis_L0+1 
;MyProject.c,46 :: 		portb.rb0=1;
	BSF         PORTB+0, 0 
;MyProject.c,47 :: 		stisnuto=1;
	MOVLW       1
	MOVWF       main_stisnuto_L0+0 
	MOVLW       0
	MOVWF       main_stisnuto_L0+1 
;MyProject.c,48 :: 		}
L_main10:
;MyProject.c,51 :: 		if ((porta.ra1==0) && (drugistis==0))
	BTFSC       PORTA+0, 1 
	GOTO        L_main13
	MOVLW       0
	XORWF       main_drugistis_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main42
	MOVLW       0
	XORWF       main_drugistis_L0+0, 0 
L__main42:
	BTFSS       STATUS+0, 2 
	GOTO        L_main13
L__main36:
;MyProject.c,53 :: 		drugistis=1;
	MOVLW       1
	MOVWF       main_drugistis_L0+0 
	MOVLW       0
	MOVWF       main_drugistis_L0+1 
;MyProject.c,54 :: 		portb.rb1=1;
	BSF         PORTB+0, 1 
;MyProject.c,55 :: 		stisnuto=2;
	MOVLW       2
	MOVWF       main_stisnuto_L0+0 
	MOVLW       0
	MOVWF       main_stisnuto_L0+1 
;MyProject.c,56 :: 		}
L_main13:
;MyProject.c,59 :: 		if ((porta.ra2==0) && (trecistis==0))
	BTFSC       PORTA+0, 2 
	GOTO        L_main16
	MOVLW       0
	XORWF       main_trecistis_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main43
	MOVLW       0
	XORWF       main_trecistis_L0+0, 0 
L__main43:
	BTFSS       STATUS+0, 2 
	GOTO        L_main16
L__main35:
;MyProject.c,61 :: 		trecistis=1;
	MOVLW       1
	MOVWF       main_trecistis_L0+0 
	MOVLW       0
	MOVWF       main_trecistis_L0+1 
;MyProject.c,62 :: 		portb.rb2=1;
	BSF         PORTB+0, 2 
;MyProject.c,63 :: 		stisnuto=3;
	MOVLW       3
	MOVWF       main_stisnuto_L0+0 
	MOVLW       0
	MOVWF       main_stisnuto_L0+1 
;MyProject.c,64 :: 		}
L_main16:
;MyProject.c,67 :: 		if ((porta.ra3==0) && (cetvrtistis==0))
	BTFSC       PORTA+0, 3 
	GOTO        L_main19
	MOVLW       0
	XORWF       main_cetvrtistis_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main44
	MOVLW       0
	XORWF       main_cetvrtistis_L0+0, 0 
L__main44:
	BTFSS       STATUS+0, 2 
	GOTO        L_main19
L__main34:
;MyProject.c,69 :: 		cetvrtistis=1;
	MOVLW       1
	MOVWF       main_cetvrtistis_L0+0 
	MOVLW       0
	MOVWF       main_cetvrtistis_L0+1 
;MyProject.c,70 :: 		portb.rb3=1;
	BSF         PORTB+0, 3 
;MyProject.c,71 :: 		stisnuto=4;
	MOVLW       4
	MOVWF       main_stisnuto_L0+0 
	MOVLW       0
	MOVWF       main_stisnuto_L0+1 
;MyProject.c,72 :: 		}
L_main19:
;MyProject.c,75 :: 		if ((porta.ra4==0) && (petistis==0))
	BTFSC       PORTA+0, 4 
	GOTO        L_main22
	MOVLW       0
	XORWF       main_petistis_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main45
	MOVLW       0
	XORWF       main_petistis_L0+0, 0 
L__main45:
	BTFSS       STATUS+0, 2 
	GOTO        L_main22
L__main33:
;MyProject.c,77 :: 		petistis=1;
	MOVLW       1
	MOVWF       main_petistis_L0+0 
	MOVLW       0
	MOVWF       main_petistis_L0+1 
;MyProject.c,78 :: 		portb.rb4=1;
	BSF         PORTB+0, 4 
;MyProject.c,79 :: 		stisnuto=5;
	MOVLW       5
	MOVWF       main_stisnuto_L0+0 
	MOVLW       0
	MOVWF       main_stisnuto_L0+1 
;MyProject.c,80 :: 		}
L_main22:
;MyProject.c,83 :: 		inttostr (stisnuto,proba);
	MOVF        main_stisnuto_L0+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        main_stisnuto_L0+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       main_proba_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(main_proba_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;MyProject.c,85 :: 		while(!HID_Write(proba,64));
L_main23:
	MOVLW       main_proba_L0+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(main_proba_L0+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main24
	GOTO        L_main23
L_main24:
;MyProject.c,86 :: 		portb.rb1=1;
	BSF         PORTB+0, 1 
;MyProject.c,87 :: 		}
L_main7:
;MyProject.c,88 :: 		if (readbuff[0]=='i')
	MOVF        1280, 0 
	XORLW       105
	BTFSS       STATUS+0, 2 
	GOTO        L_main25
;MyProject.c,90 :: 		prvistis=0;
	CLRF        main_prvistis_L0+0 
	CLRF        main_prvistis_L0+1 
;MyProject.c,91 :: 		drugistis=0;
	CLRF        main_drugistis_L0+0 
	CLRF        main_drugistis_L0+1 
;MyProject.c,92 :: 		trecistis=0;
	CLRF        main_trecistis_L0+0 
	CLRF        main_trecistis_L0+1 
;MyProject.c,93 :: 		cetvrtistis=0;
	CLRF        main_cetvrtistis_L0+0 
	CLRF        main_cetvrtistis_L0+1 
;MyProject.c,94 :: 		petistis=0;
	CLRF        main_petistis_L0+0 
	CLRF        main_petistis_L0+1 
;MyProject.c,95 :: 		stisnuto=0;
	CLRF        main_stisnuto_L0+0 
	CLRF        main_stisnuto_L0+1 
;MyProject.c,96 :: 		portb.rb0=0;
	BCF         PORTB+0, 0 
;MyProject.c,97 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,98 :: 		portb.rb2=0;
	BCF         PORTB+0, 2 
;MyProject.c,99 :: 		portb.rb3=0;
	BCF         PORTB+0, 3 
;MyProject.c,100 :: 		portb.rb4=0;
	BCF         PORTB+0, 4 
;MyProject.c,102 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,103 :: 		}
L_main25:
;MyProject.c,105 :: 		if (readbuff[0]=='p')
	MOVF        1280, 0 
	XORLW       112
	BTFSS       STATUS+0, 2 
	GOTO        L_main26
;MyProject.c,107 :: 		if (readbuff[1]=='1')
	MOVF        1281, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L_main27
;MyProject.c,109 :: 		portb.rb0=1;
	BSF         PORTB+0, 0 
;MyProject.c,110 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,111 :: 		portb.rb2=0;
	BCF         PORTB+0, 2 
;MyProject.c,112 :: 		portb.rb3=0;
	BCF         PORTB+0, 3 
;MyProject.c,113 :: 		portb.rb4=0;
	BCF         PORTB+0, 4 
;MyProject.c,114 :: 		}
L_main27:
;MyProject.c,115 :: 		if (readbuff[1]=='2')
	MOVF        1281, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L_main28
;MyProject.c,117 :: 		portb.rb0=0;
	BCF         PORTB+0, 0 
;MyProject.c,118 :: 		portb.rb1=1;
	BSF         PORTB+0, 1 
;MyProject.c,119 :: 		portb.rb2=0;
	BCF         PORTB+0, 2 
;MyProject.c,120 :: 		portb.rb3=0;
	BCF         PORTB+0, 3 
;MyProject.c,121 :: 		portb.rb4=0;
	BCF         PORTB+0, 4 
;MyProject.c,122 :: 		}
L_main28:
;MyProject.c,123 :: 		if (readbuff[1]=='3')
	MOVF        1281, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L_main29
;MyProject.c,125 :: 		portb.rb0=0;
	BCF         PORTB+0, 0 
;MyProject.c,126 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,127 :: 		portb.rb2=1;
	BSF         PORTB+0, 2 
;MyProject.c,128 :: 		portb.rb3=0;
	BCF         PORTB+0, 3 
;MyProject.c,129 :: 		portb.rb4=0;
	BCF         PORTB+0, 4 
;MyProject.c,130 :: 		}
L_main29:
;MyProject.c,131 :: 		if (readbuff[1]=='4')
	MOVF        1281, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L_main30
;MyProject.c,133 :: 		portb.rb0=0;
	BCF         PORTB+0, 0 
;MyProject.c,134 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,135 :: 		portb.rb2=0;
	BCF         PORTB+0, 2 
;MyProject.c,136 :: 		portb.rb3=1;
	BSF         PORTB+0, 3 
;MyProject.c,137 :: 		portb.rb4=0;
	BCF         PORTB+0, 4 
;MyProject.c,138 :: 		}
L_main30:
;MyProject.c,139 :: 		if (readbuff[1]=='5')
	MOVF        1281, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L_main31
;MyProject.c,141 :: 		portb.rb0=0;
	BCF         PORTB+0, 0 
;MyProject.c,142 :: 		portb.rb1=0;
	BCF         PORTB+0, 1 
;MyProject.c,143 :: 		portb.rb2=0;
	BCF         PORTB+0, 2 
;MyProject.c,144 :: 		portb.rb3=0;
	BCF         PORTB+0, 3 
;MyProject.c,145 :: 		portb.rb4=1;
	BSF         PORTB+0, 4 
;MyProject.c,146 :: 		}
L_main31:
;MyProject.c,148 :: 		}
L_main26:
;MyProject.c,151 :: 		delay_ms(200);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L_main32:
	DECFSZ      R13, 1, 1
	BRA         L_main32
	DECFSZ      R12, 1, 1
	BRA         L_main32
	DECFSZ      R11, 1, 1
	BRA         L_main32
;MyProject.c,152 :: 		stisnuto=0;
	CLRF        main_stisnuto_L0+0 
	CLRF        main_stisnuto_L0+1 
;MyProject.c,153 :: 		}
	GOTO        L_main0
;MyProject.c,157 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
